Subject: Protocol Action: 'DNS Stateful Operations' to Proposed Standard (draft-ietf-dnsop-session-signal-20.txt)

From: The IESG <[email-masked]>
Date: Fri, 07 Dec 2018 12:41:13 -0800

The IESG has approved the following document:
- 'DNS Stateful Operations'
  (draft-ietf-dnsop-session-signal-20.txt) as Proposed Standard

This document is the product of the Domain Name System Operations Working
Group.

The IESG contact persons are Warren Kumari and Ignas Bagdonas.

A URL of this Internet Draft is:
https://datatracker.ietf.org/doc/draft-ietf-dnsop-session-signal/

Technical Summary

   This document defines a new DNS OPCODE for DNS Stateful Operations
   (DSO).  DSO messages communicate operations within persistent
   stateful sessions, using type-length-value (TLV) syntax.  Three TLVs
   are defined that manage session timeouts, termination, and encryption
   padding, and a framework is defined for extensions to enable new
   stateful operations.  

Working Group Summary

   The working group spent a significant amount of time on this
   document, as it adds persistence to DNS "connections".
   However, after several iterations, the working group came to
  consensus on the document, and strong consensus to move forward. 

Document Quality

  The document is clear and easily read.
   It defines capabilities and provides functionality to be leveraged
   by other protocols.
   There are currently no existing implementations of the protocol. However, 
   this work is being leveraged in another working group on DNS Service Discovery.
   Now that this draft is moving forward, final implementations can begin to 
   emerge. 

Personnel

   Tim Wicinski is the Document Shepherd, Warren Kumari is RAD.